<?php
/**
 * Shortcode Title: Map Container
 * Shortcode: map_container
 * Usage: [map_container height="230"][wpgmappity id="x"][/map_container]
 */
add_shortcode('map_container', 'ts_map_container_func');

function ts_map_container_func( $atts, $content = null ) {
    
	extract(shortcode_atts(array(
		"height" => ''
		), 
	$atts));
	
	return '<div class="sc-map-container" '.(!empty($height) ? 'style="height: '.intval($height).'px"' : '').'>'.do_shortcode($content).'</div>';
}